Subject: Re: bug#20385: [PROPOSED PATCH] Support quoting 'like this' in doc strings

From: Nicolas Petton <[email-masked]>
Date: Thu, 23 Apr 2015 21:47:11 +0200

Paul Eggert writes:

> On 04/23/2015 04:15 AM, Nicolas Petton wrote:
>> quoting code in
>> elisp docstrings would only be reasonably doable from Emacs' elisp mode,
>
> No, they're reasonably doable from any editor that supports smart 
> quoting.  Although Emacs doesn't have this option, it's common 
> elsewhere, and it shouldn't be that hard to add it to Emacs.
>
> As for quoting `like this` that still doesn't sound like a good idea.  
> Do we really want to switch to Markdown (or something like it) for doc 
> strings?  That would be a much bigger project, and would be work that 
> nobody's prepared to do, and its overall costs could well exceed its 
> benefits.

I never suggested adding support for Markdown, I gave Markdown as an
example of `...` being used to quote code.

Nico
-- 
Nicolas Petton
http://nicolas-petton.fr